﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace MultiBindig
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.radtreeView.ItemsSource = GenerateUserCollection();
        }

        private ObservableCollection<User> GenerateUserCollection()
        {
            ObservableCollection<User> collection = new ObservableCollection<User>();
            User first = new User("Jack", "Rock");
            User second = new User("Rock", "Jack");

            RightCollection rightCollFirst = new RightCollection();
            LogEntryCollection logCollFirst = new LogEntryCollection();
            RightCollection rightCollSec = new RightCollection();
            LogEntryCollection logCollSec = new LogEntryCollection();

            for (int i = 0; i < 10; i++)
            {
                rightCollFirst.Items.Add(new Right("Right " + i) as BaseItem);
                rightCollSec.Items.Add(new Right("Right " + i));

                logCollFirst.Items.Add(new LogEntry() { Name = "Log " + i });
                logCollSec.Items.Add(new LogEntry() { Name = "Log " + i });
            }
            first.UserList.Add(rightCollFirst);
            first.UserList.Add(logCollFirst);
            second.UserList.Add(rightCollSec);
            second.UserList.Add(logCollSec);

            collection.Add(first);
            collection.Add(second);
            return collection;
        }
    }
}
